darktable not running after upgrade to FreeBSD 13.0-RELEASE

lbol

Member

Reaction score: 10
Messages: 78

I upgraded to FreeBSD 13.0-RELEASE and reinstalled all packages from latest. After that darktable was working ok.
The next
Code:
pkg upgrade
upgraded a couple of packages
Code:
Apr 17 17:30:34 dell pkg[54946]: ilmbase-2.5.5 deinstalled
Apr 17 17:30:35 dell pkg[54946]: icu upgraded: 68.2,1 -> 69.1,1
Apr 17 17:30:35 dell pkg[54946]: Imath-3.0.1 installed
Apr 17 17:30:36 dell pkg[54946]: sqlite3 upgraded: 3.34.1,1 -> 3.34.1_1,1
Apr 17 17:30:36 dell pkg[54946]: openexr upgraded: 2.5.5 -> 3.0.1
Apr 17 17:30:44 dell pkg[54946]: boost-libs upgraded: 1.72.0_3 -> 1.72.0_4
Apr 17 17:30:44 dell pkg[54946]: libxkbcommon upgraded: 1.1.0 -> 1.2.1
Apr 17 17:30:45 dell pkg[54946]: qt5-core upgraded: 5.15.2_2 -> 5.15.2_3
Apr 17 17:30:45 dell pkg[54946]: harfbuzz-icu upgraded: 2.8.0 -> 2.8.0_1
Apr 17 17:30:46 dell pkg[54946]: qt5-gui upgraded: 5.15.2_3 -> 5.15.2_4
Apr 17 17:30:46 dell pkg[54946]: dav1d upgraded: 0.8.2 -> 0.8.2_1
Apr 17 17:30:47 dell pkg[54946]: webkit2-gtk3 upgraded: 2.30.5 -> 2.30.5_1
Apr 17 17:30:47 dell pkg[54946]: raptor2 upgraded: 2.0.15_17 -> 2.0.15_18
Apr 17 17:30:47 dell pkg[54946]: libassuan upgraded: 2.5.4 -> 2.5.5
Apr 17 17:30:48 dell pkg[54946]: ffmpeg upgraded: 4.3.2_1,1 -> 4.4,1
Apr 17 17:30:49 dell pkg[54946]: gegl upgraded: 0.4.28_7 -> 0.4.30_1
Apr 17 17:30:49 dell pkg[54946]: vigra upgraded: 1.11.1_15 -> 1.11.1_16
Apr 17 17:30:53 dell pkg[54946]: gimp-app upgraded: 2.10.22_3,1 -> 2.10.24_1,1
Apr 17 17:30:53 dell pkg[54946]: youtube_dl upgraded: 2021.03.31 -> 2021.04.07
Apr 17 17:30:53 dell pkg[54946]: libzmf upgraded: 0.0.2_22 -> 0.0.2_23
Apr 17 17:30:53 dell pkg[54946]: libvisio01 upgraded: 0.1.7_3 -> 0.1.7_4
Apr 17 17:30:53 dell pkg[54946]: libqxp upgraded: 0.0.0_17 -> 0.0.0_18
Apr 17 17:30:53 dell pkg[54946]: libplacebo upgraded: 3.104.0 -> 3.120.1
Apr 17 17:30:53 dell pkg[54946]: libmspub01 upgraded: 0.1.4_17 -> 0.1.4_18
Apr 17 17:30:53 dell pkg[54946]: libical upgraded: 3.0.8_1 -> 3.0.8_2
Apr 17 17:30:53 dell pkg[54946]: libfreehand upgraded: 0.1.2_19 -> 0.1.2_20
Apr 17 17:30:54 dell pkg[54946]: libe-book upgraded: 0.1.3_19 -> 0.1.3_20
Apr 17 17:30:54 dell pkg[54946]: libdazzle upgraded: 3.38.0 -> 3.40.0
Apr 17 17:30:54 dell pkg[54946]: libcdr01 upgraded: 0.1.6_1 -> 0.1.6_2
Apr 17 17:30:54 dell pkg[54946]: gspell upgraded: 1.9.1 -> 1.9.1_1
Apr 17 17:30:55 dell pkg[54946]: enblend upgraded: 4.2_13 -> 4.2_14
Apr 17 17:30:55 dell pkg[54946]: spidermonkey78 upgraded: 78.7.0_2 -> 78.7.0_3
Apr 17 17:30:55 dell pkg[54946]: libpsl upgraded: 0.21.1_1 -> 0.21.1_2
Apr 17 17:30:59 dell pkg[54946]: texlive-base upgraded: 20150521_63 -> 20150521_64
Apr 17 17:30:59 dell pkg[54946]: vte3 upgraded: 0.62.1_1 -> 0.64.0
Apr 17 17:31:03 dell pkg[54946]: thunderbird upgraded: 78.9.0_3 -> 78.9.1_1
Apr 17 17:31:07 dell pkg[54946]: tex-xetex upgraded: 0.99992_40 -> 0.99992_41
Apr 17 17:31:11 dell pkg[54946]: spidermonkey60 upgraded: 60.9.0_5 -> 60.9.0_6
Apr 17 17:31:12 dell pkg[54946]: qt5-webkit upgraded: 5.212.0.a4_4 -> 5.212.0.a4_5
Apr 17 17:31:12 dell pkg[54946]: pulseaudio upgraded: 13.0_2 -> 14.2
Apr 17 17:31:12 dell pkg[54946]: osmo upgraded: 0.4.4 -> 0.4.4_1
Apr 17 17:31:13 dell pkg[54946]: mpv upgraded: 0.33.0_6,1 -> 0.33.1,1
Apr 17 17:31:27 dell pkg[54946]: libreoffice upgraded: 7.1.1.2_4 -> 7.1.2.2_6
Apr 17 17:31:30 dell pkg[54946]: librav1e upgraded: 0.4.0_2 -> 0.4.1
Apr 17 17:31:33 dell pkg[54946]: hugin upgraded: 2019.2.0_7 -> 2019.2.0_8
Apr 17 17:31:37 dell pkg[54946]: gnupg upgraded: 2.2.27 -> 2.3.0
Apr 17 17:31:37 dell pkg[54946]: gimp upgraded: 2.10.22,2 -> 2.10.24,2
Apr 17 17:31:42 dell pkg[54946]: firefox upgraded: 87.0_2,2 -> 87.0_3,2
Apr 17 17:31:43 dell pkg[54946]: epiphany upgraded: 3.38.2 -> 3.38.2_1
Apr 17 17:31:43 dell pkg[54946]: darktable reinstalled: 3.4.1 -> 3.4.1
Apr 17 17:31:45 dell pkg[54946]: ImageMagick6 upgraded: 6.9.11.6_2,1 -> 6.9.11.6_3,1

I have no clue if the package upgrade is in any way related to my problem. But after the upgrade darktable doesn't start anymore. Error message is:
Code:
% darktable --version                                                         ~
ld-elf.so.1: /usr/local/bin/../lib/darktable/libdarktable.so: Undefined symbol "_ZTIN7Imf_3_09AttributeE"

Other applications are working fine.

Any hints how I could locate the issue?
 

Alain De Vos

Aspiring Daemon

Reaction score: 245
Messages: 952

Here it starts fine.
Try freebsd-update install;freebsd-update install;pkg-update -f ; pkg upgrade
 

ShelLuser

Son of Beastie

Reaction score: 2,056
Messages: 3,771

Did you at any point happen to have mixed packages with ports? Or have you only used binary packages?
 
OP
L

lbol

Member

Reaction score: 10
Messages: 78

Did you at any point happen to have mixed packages with ports? Or have you only used binary packages?
I just use packages. It's very strange that the problem occured after I did a pkg upgrade
 

Zirias

Daemon

Reaction score: 1,178
Messages: 2,127

I can confirm the exact error here… (and yes, doesn't look related to FreeBSD 13, probably an error with ports…)
 

Argentum

Well-Known Member

Reaction score: 180
Messages: 395

I have just upgraded my main desktop to 13.0 and I can confirm that my graphics/darktable darktable-3.4.1 is working among other applications.

1618913561919.png
 
OP
L

lbol

Member

Reaction score: 10
Messages: 78

I just installed darktable from quarterly packages in a jail. darktable is ok than

I have also created a bug report 255254" href="https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255254">PR 255254
 
Top